<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->
    <link th:href="@{/css/lightpick.css}" rel="stylesheet" type="text/css">

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script th:src="@{/js/lightpick.js}" type="text/javascript"></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('Výpůjčky', '', '')"></div>

    <main id="main" class="container">

        <div class="flex-grow-1 px-1 py-2">

            <!--ALERTS-->
            <div th:replace="fragments/layout :: alerts"></div>

            <!--filtrace-->
            <form class="mb-3" method="get" id="filterForm" th:action="@{/admin/borrows}">

                <input type="hidden" id="filterPageNumber" name="page"
                       th:value="${(param.page == null) ? 0 : param.page}">

                <div class="d-flex flex-nowrap mb-2" th:fragment="borrowsFilter">

                    <!--OD - DO-->
                    <div class="flex-grow-1 d-flex flex-nowrap"
                         th:insert="fragments/filter :: rangePickerFromToDate(${fromDate}, 'Od:', ${toDate}, 'Do:')">
                    </div>

                    <!--REMOVE-->
                    <div class="ml-1">
                        <button class="btn btn-sm btn-outline-secondary" type="button"
                                onclick="restoreRangePickerFromToDate('01.01.2010', moment())">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>

                    <!--SUBMIT-->
                    <div class="ml-1">
                        <button class="btn btn-sm btn-orange px-3" type="submit"
                                onclick="$('#filterPageNumber').val(0);">
                            <i class="fas fa-sync-alt"></i>
                            <!--<i data-feather="refresh-cw" style="width: 16px;"></i>-->
                        </button>
                    </div>
                </div>
            </form>

            <!--TOTAL INCOME-->
            <div class="px-2 mb-2">
                Celkem:
                <span class="ml-1 h5 font-weight-bold"
                      th:text="${T(cz.david.minirental.helpers.NumberHelper).formatFloat(totalIncome)}">
                </span>
            </div>
            <!--TOTAL COUNT-->
            <!--<div class="px-2 mb-2">
                Počet:
                <span class="ml-1"
                      th:text="${totalCount}">
                </span>
            </div>-->

            <div class="clearfix"></div>

            <div th:fragment="borrowListWithPage(borrows, pageNumber, pageCount)" class="d-flex flex-column">

                <div id="borrowList" th:fragment="borrowList(borrows)">

                    <div id="notFoundMessage" class="alert alert-warning show" role="alert"
                         th:if="${#lists.isEmpty(borrows)}">
                        <span>Nepodařilo se najít žádnou výpůjčku</span>
                    </div>

                    <div th:if="${not #lists.isEmpty(borrows)}">

                        <div class="listItem disabled border px-2 py-1 d-flex"
                             th:each="borrow : ${borrows}">
                             <!--th:onclick="'redirectTo(\'' + @{/admin/borrow/} + ${borrow.id} + '\')'">-->

                            <div>
                                <h5 class="mb-1" th:text="${borrow.getProductsNames()}"></h5>
                                <div class="small mt-auto">
                                    <span th:text="${borrow.getFormatFromDate('dd.MM.yyyy')}"></span>
                                    -
                                    <span th:text="${borrow.getFormatToDate('dd.MM.yyyy')}"
                                          th:classappend="${borrow.isToDateBeforeNow() ? '' : 'text-warning'}"></span>
                                </div>
                            </div>

                            <div class="ml-auto text-right">
                                <p class="mb-0" th:text="${borrow.user.getFullName()}"></p>
                                <p class="font-weight-bold mb-0" th:text="${T(cz.david.minirental.helpers.NumberHelper).formatFloat(borrow.totalPrice)}"></p>
                            </div>
                        </div>

                    </div>
                </div>

                <!--PAGGING-->
                <nav class="mx-auto" aria-label="Page navigation example" th:if="${pageCount > 1}">
                    <ul class="pagination pagination-orange mt-2">
                        <li class="page-item" th:classappend="${(pageNumber == 0) ? 'disabled' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber - 1} + ');'"
                               aria-label="Previous">

                                <span aria-hidden="true">&laquo;</span>
                            </a>
                        </li>
                        <li class="page-item" th:each="i : ${#numbers.sequence(1, pageCount)}"
                            th:classappend="${(i == pageNumber + 1) ? 'active' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${i - 1} + ');'"
                               th:text="${i}">1</a>
                        </li>
                        <li class="page-item" th:classappend="${(pageNumber == (pageCount - 1)) ? 'disabled' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber + 1} + ');'"
                               aria-label="Next">
                                <span aria-hidden="true">&raquo;</span>
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>

        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

</body>
</html>